package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.BisHiddInveMapper;
import com.goldenwater.slaj.hidd.domain.BisHiddInve;
import com.goldenwater.slaj.hidd.service.IBisHiddInveService;

/**
 * 隐患排查 服务层实现
 */
@Service
public class BisHiddInveServiceImpl implements IBisHiddInveService {

    @Autowired
    private BisHiddInveMapper bisHiddInveMapper;

    /**
     * 查询隐患排查信息
     * @param guid 查询条件
     * @return 隐患排查信息
     */
    @Override
    public BisHiddInve selectBisHiddInveByGuid(String guid) {
        return bisHiddInveMapper.selectBisHiddInveByGuid(guid);
    }

    /**
     * 查询隐患排查列表
     * @param bisHiddInve 隐患排查查询条件
     * @return 隐患排查集合
     */
    @Override
    public List<BisHiddInve> selectBisHiddInveList(BisHiddInve bisHiddInve) {
        return bisHiddInveMapper.selectBisHiddInveList(bisHiddInve);
    }

    /**
     * 新增隐患排查
     * @param bisHiddInve 隐患排查信息
     * @return 影响行数
     */
    @Override
    public int insertBisHiddInve(BisHiddInve bisHiddInve) {
        return bisHiddInveMapper.insertBisHiddInve(bisHiddInve);
    }

    /**
     * 修改隐患排查
     * @param bisHiddInve 隐患排查信息
     * @return 影响行数
     */
    @Override
    public int updateBisHiddInve(BisHiddInve bisHiddInve) {
        return bisHiddInveMapper.updateBisHiddInve(bisHiddInve);
    }

    /**
     * 删除隐患排查
     * @param guid 隐患排查主键
     * @return 影响行数
     */
    @Override
    public int deleteBisHiddInveByGuid(String guid) {
        return bisHiddInveMapper.deleteBisHiddInveByGuid(guid);
    }

    /**
     * 批量删除隐患排查
     * @param guids 隐患排查主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisHiddInveByGuids(String[] guids) {
        return bisHiddInveMapper.deleteBisHiddInveByGuids(guids);
    }
}
